diff --git a/rebase-scripts/check-for-dod b/rebase-scripts/check-for-dod
deleted file mode 100755
index 78a655e2f7614f0caed0466f748d6ae90dd842c3..0000000000000000000000000000000000000000
--- a/rebase-scripts/check-for-dod
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-
-branch=${RELEASE:=v2025dev2}
-
-for x in $(osc ls apertis:${branch}:target) ; do
-    osc buildinfo apertis:${branch}:target ${x} default x86_64
-done | grep Debian | grep bdep > build-deps.txt
-
-cat build-deps.txt | sed 's,.*name="\([^"]*\)".*,\1,g'  | sort | uniq > missing-bd 
-
-for x in $(cat missing-bd) ; do
-    apt-cache showsrc $x | grep 'Package:'  | head -n1
-done  > missing-bd-source
diff --git a/rebase-scripts/get-obs-bd b/rebase-scripts/get-obs-bd
new file mode 100755
index 0000000000000000000000000000000000000000..b5aae1f191e0b7c203e33c3a7da7d2473a5fbdef
--- /dev/null
+++ b/rebase-scripts/get-obs-bd
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+COMPONENTS="target development sdk non-free"
+RELEASE=${RELEASE:=v2026dev2}
+
+set -e
+
+while getopts 'r:s' opt
+do
+    case "$opt" in
+        r)
+            RELEASE=$OPTARG
+            ;;
+    esac
+done
+shift "$(($OPTIND -1))"
+
+rm -f all-all-bd-source.txt all-debian-bd-source.txt
+
+for c in $COMPONENTS ; do
+    for x in $(osc ls apertis:${RELEASE}:$c) ; do
+        echo Getting buildinfo for $c $x >&2
+        osc buildinfo apertis:${RELEASE}:$c ${x} default x86_64
+    done | grep bdep > $c-all-bd.txt
+    grep Debian $c-all-bd.txt > $c-debian-bd.txt
+    cat $c-all-bd.txt | sed 's,.*name="\([^"]*\)".*,\1,g' | sort -u | sponge $c-all-bd.txt
+    cat $c-debian-bd.txt | sed 's,.*name="\([^"]*\)".*,\1,g' | sort -u | sponge $c-debian-bd.txt
+done
+
+for c in $COMPONENTS ; do
+    for x in $(cat $c-all-bd.txt) ; do
+        echo Getting source for $c $x >&2
+        apt-cache showsrc $x | grep 'Package:' | head -n1
+    done | cut -d' ' -f2 | sort -u > $c-all-bd-source.txt
+
+    for x in $(cat $c-debian-bd.txt) ; do
+        echo Getting source for $c $x >&2
+        apt-cache showsrc $x | grep 'Package:' | head -n1
+    done | cut -d' ' -f2 | sort -u > $c-debian-bd-source.txt
+
+    cat $c-all-bd-source.txt >> all-all-bd-source.txt
+    cat $c-debian-bd-source.txt >> all-debian-bd-source.txt
+done
+
+sort -u -o all-all-bd-source.txt{,}
+sort -u -o all-debian-bd-source.txt{,}
\ No newline at end of file